Subject: bug#75876: closed (Re: bug#75876: 29.2; warning "docstring has wrong usage of unescaped single quotes" in easy-mmode.el)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Feb 2025 07:17:02 +0000

Your bug report

#75876: 29.2; warning "docstring has wrong usage of unescaped single quotes" in easy-mmode.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75876: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75876
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75876: 29.2; warning "docstring has wrong usage of unescaped single quotes" in easy-mmode.el
From: Stefan Kangas <[email-masked]>
To: "R. Diez" <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], Stefan Monnier <[email-masked]>
Date: Mon, 10 Feb 2025 23:16:01 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"R. Diez" <[email-masked]> writes:

>> Hmm... don't do it?
>> IOW, give a name to your function.
>
> OK guys, thanks for your quick help with this matter.

Thanks, I'm therefore closing this bug.

Subject: 29.2; warning "docstring has wrong usage of unescaped single quotes" in easy-mmode.el
From: "R. Diez" <[email-masked]>
To: [email-masked]
Date: Sun, 26 Jan 2025 18:58:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I am getting the following warning in 'dtrt-indent-global-mode':

dtrt-indent.el:208:2: Warning: docstring has wrong usage of unescaped single quotes (use \= or different quoting)

The author of package dtrt-indent.el says the warning is incorrect:

https://github.com/jscheid/dtrt-indent/issues/79#issuecomment-2614031451

I do now know much Lisp myself, but I suspect the warning probably actually comes from macro 'define-globalized-minor-mode' in easy-mmode.el, because that macro apparently does have a docstring without proper quoting.

I am reporting this bug here because easy-mmode.el says it is part of Emacs.